# Reset password try count Unblock a card after it has exceeded its maximum password tries count. If the card is `BLOCKED`: * The status is changed to `NORMAL` * The counter is reset * An [Card updated](https://developers.pismo.io/events/docs/cards-update-1) event is generated. If the card is `NORMAL`, `PENDING`, or `WARNING`, the counter is reset. For any other status, a 406 - range not satisfiable - error is returned. **Note**: This does not change the password recorded on an embossed card's chip. If the card is configured for offline password verification, you need to change the password on the physical card. To do that, you can use a [card script](doc:card-scripts). For more information, refer to the [Card lifecycle and statuses](doc:card-lifecycle-and-statuses) guide. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Cards", "description": "Card management endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "CardsSuccessResponse": { "type": "object", "description": "Response body", "properties": { "success": { "type": "boolean", "description": "Flag indicating success", "example": true } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "403Forbidden": { "description": "You don't have permission to access this resource" }, "406RangeNotSatisfiable": { "description": "Request is out-of-range." }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v2/cards/{cardId}/password-tries/reset": { "post": { "operationId": "post-v2-card-password-reset", "summary": "Reset password try count", "description": "Unblock a card after it has exceeded its maximum password tries count.\n\nIf the card is `BLOCKED`:\n\n * The status is changed to `NORMAL`\n * The counter is reset \n * An [Card updated](https://developers.pismo.io/events/docs/cards-update-1) event is generated.\n\nIf the card is `NORMAL`, `PENDING`, or `WARNING`, the counter is reset.\n\nFor any other status, a 406 - range not satisfiable - error is returned.\n\n**Note**: This does not change the password recorded on an embossed card's chip. If the card is configured for offline password verification, you need to change the password on the physical card. To do that, you can use a [card script](https://developers.pismo.io/pismo-docs/docs/card-scripts).\n\nFor more information, refer to the [Card lifecycle and statuses](https://developers.pismo.io/pismo-docs/docs/card-lifecycle-and-statuses) guide.\n", "tags": [ "Cards" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "responses": { "200": { "description": "Card password tries reset", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardsSuccessResponse" } } } }, "403": { "$ref": "#/components/responses/403Forbidden" }, "406": { "$ref": "#/components/responses/406RangeNotSatisfiable" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```